import ez_setup
ez_setup.use_setuptools()

from setuptools import setup, find_packages

version = '4.2'

setup(name='sixieskel',
      version=version,
      description="A collection of skeletons for quickstarting SFU Zope projects.",
      long_description=open('README.txt').read(),
      classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Framework :: Zope2",
        "Framework :: Zope3",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='web zope command-line skeleton project',
      author='Six Feet Up, Inc.',
      author_email='info@sixfeetup.com',
      url='http://www.sixfeetup.com',
      packages=find_packages(exclude=['ez_setup']),
      include_package_data=True,
      zip_safe=False,
      install_requires=[
        "ZopeSkel<=2.14.2",
      ],
      entry_points="""
      [paste.paster_create_template]
      sfu_buildout = sixieskel.buildout:Plone3Buildout
      sfu_policy = sixieskel.policy:Policy
      sfu_theme = sixieskel.theme:Theme
      """,
      )
