import copy

from zopeskel.plone import Plone
from zopeskel.base import var
from zopeskel.base import get_var

from sixieskel.util import run_cmd
from sixieskel.util import clean_test

class Policy(Plone):
    _template_dir = 'templates/policy'
    summary = "A Plone project"

    vars = copy.deepcopy(Plone.vars)
    vars.append(
        var('staff_password',
            'Enter the Staff password (leave blank for auto generated)',
            default=None
            )
        )
    vars.append(
        var('plone_version',
            'Plone version',
            default='4.0.3',
           )
    )
    get_var(vars, 'version').default = '0.1dev'
    descrip = 'A policy package to manage a Plone installation'
    get_var(vars, 'description').default = descrip
    get_var(vars, 'author').default = 'Six Feet Up, Inc.'
    get_var(vars, 'author_email').default = 'info@sixfeetup.com'
    get_var(vars, 'url').default = 'http://www.sixfeetup.com'
    get_var(vars, 'keywords').default = 'zope plone policy'

    def check_vars(self, vars, cmd):
        responses = super(Policy, self).check_vars(vars, cmd)
        if vars['staff_password'] is None:
            # for this to work you'll need pwgen installed
            passwd = run_cmd('pwgen -acn 9 1')
            if not passwd:
                passwd = 'fjosu7aw'
            responses['staff_password'] = passwd
        return responses

    def post(self, command, output_dir, vars):
        clean_test(output_dir, vars['namespace_package'], vars['package'])
        super(Policy, self).post(command, output_dir, vars)
